{% extends "base_ajax.html" %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/gritter/css/jquery.gritter.css' %}" rel="stylesheet" />
<link href="{% static 'css/fmm_modal.css' %}" rel="stylesheet" />
{% endblock extra_head %}
{% block content %}
<div class="panel panel-inverse" data-sortable-id="table-utp-radius" >
  <!-- begin panel-heading -->
  <div class="panel-heading ui-sortable-handle">
    <div class="panel-heading-btn">
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
      <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" ><i class="fa fa-redo"></i></a>
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
    </div>
    <h4 class="panel-title">Lista de RADIUS</h4>
  </div>
  <!-- end panel-heading -->
  <!-- begin panel-body -->
  <div class="panel-body">
    <!-- begin table-responsive -->
    <div class="m-b-10"> <a href="#modal-create" class="btn btn-sm btn-success" data-toggle="modal">Crear nuevo RADIUS</a></div>

    <div class="table-responsive">
      <table class="table" id="table_utp_radius">
        <thead>
          <tr>
            <th nowrap="">RADIUS ID</th>
            <th nowrap="">Alias</th>
            <th nowrap="">Ip</th>
            <th nowrap="">Uptime</th>
            <th nowrap="">Modelo</th>
            <th nowrap="">Descripci&oacute;n</th>
            <th nowrap="">Acciones</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
    <!-- end table-responsive -->
  </div>
  <!-- end panel-body -->
</div>

<div class="modal fade" id="modal-create">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Crear RADIUS</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <!-- <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="nodes_utp">Nodo</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" multiple id="nodes_utp">
            </select>
          </div>
        </div> -->
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="alias">Alias</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="alias" placeholder="Alias del RADIUS" data-parsley-required="true" />
          </div>
        </div>
      <!--<div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="descripcion">Descripción</label>
          <div class="col-md-8 col-sm-8">
            <textarea class="form-control" id="description" rows="4" data-parsley-required="true" placeholder="Descripción del RADIUS" required="true"></textarea>
          </div>
        </div> -->
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="ip">IP</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" pattern="((^|\.)((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]?\d))){4}$" id="ip" placeholder="Direccion IPV4" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="user">Usuario</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="user" placeholder="Usuario" data-parsley-required="true" />
          </div>
        </div>      
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="password">Clave</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="password" id="password" placeholder="Clave" data-parsley-required="true" />
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" onclick="newRadiusUTP()">Crear RADIUS</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-create-sleep" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-body">
        <center>
          <img src="/static/img/spinnerMD.gif">          
        </center>
        <br>
        <p class="lead">Está tarea puede demorar unos minutos, por favor no cierre ni refresque la página</p>
      </div>
    </div>
  </div>
</div>

{% endblock content %}    
{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'plugins/gritter/js/jquery.gritter.js' %}"></script>
<script type="text/javascript" id="insert_script_here">
var no_cache_random =  Math.random().toString(36).substr(2, 5);
appendScript("{% static 'scripts/utp_radius_list.js' %}?no_cache=" + no_cache_random);
</script>
{% endblock extra_js %}
